Package org.apache.sling.query.impl.predicate

## Enum SelectorOperator

- java.lang.Object
- - java.lang.Enum<SelectorOperator>
  - - org.apache.sling.query.impl.predicate.SelectorOperator

All Implemented Interfaces:
  `Serializable`, `Comparable<SelectorOperator>`

    public enum SelectorOperator
    extends Enum<SelectorOperator>

### Enum Constant Summary

Enum Constants
`CONTAINS`
`CONTAINS_WORD`
`ENDS_WITH`
`EQUALS`
`NOT_EQUAL`
`STARTS_WITH`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract boolean` `accepts​(String key, String value)`
`static SelectorOperator` `getSelectorOperator​(String operator)`
`static SelectorOperator` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SelectorOperator[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONTAINS

    public static final SelectorOperator CONTAINS

#### CONTAINS_WORD

    public static final SelectorOperator CONTAINS_WORD

#### ENDS_WITH

    public static final SelectorOperator ENDS_WITH

#### EQUALS

    public static final SelectorOperator EQUALS

#### NOT_EQUAL

    public static final SelectorOperator NOT_EQUAL

#### STARTS_WITH

    public static final SelectorOperator STARTS_WITH

### Method Detail

#### values

    public static SelectorOperator[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SelectorOperator c : SelectorOperator.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SelectorOperator valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### accepts

    public abstract boolean accepts​(String key,
                                    String value)

#### getSelectorOperator

    public static SelectorOperator getSelectorOperator​(String operator)